> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an organization



## OpenAPI

````yaml /openapi.json put /organizations/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /organizations/{id}:
    put:
      tags:
        - Organization
      summary: Update an organization
      operationId: updateOrganization
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrganization'
      responses:
        '200':
          description: Organization updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organization'
        '400':
          description: Invalid request
        '404':
          description: Organization not found
components:
  schemas:
    UpdateOrganization:
      type: object
      properties:
        name:
          type: string
          description: Name given to the organization.
      required:
        - name
    Organization:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the organization.
        name:
          type: string
          description: Name given to the organization.
      required:
        - id
        - name

````